Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 415587 - app-backup/amanda 3.3.0 fails with glib-2.32.2
Summary: app-backup/amanda 3.3.0 fails with glib-2.32.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL: http://archives.zmanda.com/amanda-arc...
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-05-12 16:12 UTC by Hans de Graaff
Modified: 2012-10-02 00:10 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,114.59 KB, text/plain)
2012-05-13 04:44 UTC, Hans de Graaff
Details
emerge --info (emerge-info.txt,16.48 KB, text/plain)
2012-05-13 04:45 UTC, Hans de Graaff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2012-05-12 16:12:48 UTC
Amanda compiled against an older version crashes in amdump when a new glib is dropped in, and amanda 3.3.0 no longer compiles against glib-2.23:

libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../config -I../gnulib -fno-strict-aliasing -D_GNU_SOURCE -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -Wall -Wextra -Wparentheses -Wdeclaration-after-statement -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations -Wformat -Wformat-security -Wsign-compare -Wfloat-equal -Wold-style-definition -Wno-strict-aliasing -Wno-unknown-pragmas -Wall -O2 -pipe -march=native -fno-strict-aliasing -MT alloc.lo -MD -MP -MF .deps/alloc.Tpo -c alloc.c -o alloc.o >/dev/null 2>&1
In file included from util.h:39:0,
                 from debug.c:34:
glib-util.h:75:6: error: conflicting types for 'g_queue_free_full'
/usr/include/glib-2.0/glib/gqueue.h:76:6: note: previous declaration of 'g_queue_free_full' was here
In file included from util.h:39:0,
                 from dgram.c:35:
glib-util.h:75:6: error: conflicting types for 'g_queue_free_full'
/usr/include/glib-2.0/glib/gqueue.h:76:6: note: previous declaration of 'g_queue_free_full' was here
make[3]: *** [debug.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: *** [dgram.lo] Error 1


This leaves me with a non-working amanda setup unless I downgrade glib, which isn't really a realistic scenario.
Comment 1 Stefan G. Weichinger 2012-05-12 21:37:37 UTC
amanda-3.3.0 runs fine here with dev-libs/glib-2.32.2 on ~amd64.
Your subject says 2.32, your message contains 2.23.

Please specify.
Comment 2 Hans de Graaff gentoo-dev 2012-05-13 04:44:24 UTC
The problems I have are with glib 2.32.2.

With it installed I'm having runtime problems with amanda 3.2.2 (the amdump log file tells me):

-----

GETTING ESTIMATES...
**
ERROR:glib-util.c:45:glib_init: assertion failed: (!g_thread_supported())
driver: state time 0.166 free kps: 8000 space: 26382336 taper: idle idle-dumpers: 4 qlen tapeq: 0 runq: 0 roomq: 0 wakeup: 0 driver-idle: not-idle
driver: interface-state time 0.166 if default: free 8000
driver: hdisk-state time 0.166 hdisk 0: free 26382336 dumpers 0
driver: result time 0.166 from taper: (eof)
dump of driver schedule before start degraded mode:

-----

And no backups are being made.

Trying to build amanda 3.3.0 (the latest version in Gentoo) with glib 2.32.2 fails. I'll attach a full build log.
Comment 3 Hans de Graaff gentoo-dev 2012-05-13 04:44:59 UTC
Created attachment 311567 [details]
build.log
Comment 4 Hans de Graaff gentoo-dev 2012-05-13 04:45:36 UTC
Created attachment 311569 [details]
emerge --info
Comment 5 Dustin J. Mitchell 2012-05-13 15:18:59 UTC
From an amanda-hackers thread about this bug, here are the svn revisions you could backport to fix this:

----

Hi Dustin,

svn 4593, 4595, 4698.

Gene Heskett reported compilation problem with 4698, More work may be required.

Jean-Louis
Comment 6 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2012-05-17 05:58:54 UTC
3.3.1 added to the tree now with backports of the patches.
I had to remove the #pragma lines in r4698, as they don't work on GCC 4.5.
Comment 7 Hans de Graaff gentoo-dev 2012-05-17 06:46:26 UTC
(In reply to comment #6)
> 3.3.1 added to the tree now with backports of the patches.
> I had to remove the #pragma lines in r4698, as they don't work on GCC 4.5.

This versions compiles and works fine for me. Thanks!
Comment 8 Pacho Ramos gentoo-dev 2012-09-11 19:31:37 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > 3.3.1 added to the tree now with backports of the patches.
> > I had to remove the #pragma lines in r4698, as they don't work on GCC 4.5.
> 
> This versions compiles and works fine for me. Thanks!